# Labtest Result Details

| **API URL**     | {{url}}/spice-service/patient-labtest/result/details |
| --------------- | ---------------------------------------------------- |
| **Method**      | POST                                                 |
| **Description** | Labtest result details                               |

#### **Input:** <a href="#labtestresultdetails-input" id="labtestresultdetails-input"></a>

| **Field Name**        | **Type** | **Mandatory** | **Example**                                                                                                                                     |
| --------------------- | -------- | ------------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| Authorization(Header) | String   | Yes           | Bearer eyJlbmMiOiJBMTI4R0NNIiwiYWxnIjoiUlNBLU9BRVAtMjU2In0.MCm0mJDfpfjlr10Uok79-kTF7fv9Tn7cI5m2WsRDGUd9VS7iRmfbszjuc1-w5D-PYt9CdVxRMGBQlzYauhnI |

#### **Sample Input:** <a href="#labtestresultdetails-sampleinput" id="labtestresultdetails-sampleinput"></a>

{     "patientLabTestId": 9,     "tenantId": 4 }

#### **Output:** <a href="#labtestresultdetails-output" id="labtestresultdetails-output"></a>

| **Field Name**     | **Type**                    | **Comments**         |
| ------------------ | --------------------------- | -------------------- |
| `comment`          | String                      | Labtest result       |
| `resultDate`       | Timestamp without Timestamp | Labtest result date  |
| `id`               | Bigint                      | Labtest result id    |
| `resultName`       | String                      | Labtest name         |
| `displayName`      | String                      | Labtest display name |
| `resultValue`      | Integer                     | Result value         |
| `unit`             | String                      | Labtest              |
| `resultStatus`     | String                      | Status of the result |
| `labTestResultId`  | Bigint                      | Labtest result ID    |
| `patientLabTestId` | Bigint                      | Labtest ID           |

#### **Sample Output:** <a href="#labtestresultdetails-sampleoutput" id="labtestresultdetails-sampleoutput"></a>

```
  {
    "message": "Patient LabTest Result fetched Successfully.",
    "entity": {
        "comment": "comments",
        "resultDate": "2023-05-24T00:00:00+05:30",
        "patientLabTestResults": [
            {
                "createdBy": 5,
                "id": 7,
                "updatedBy": 5,
                "createdAt": "2023-05-26T12:40:27+00:00",
                "updatedAt": "2023-05-26T12:40:27+00:00",
                "tenantId": 4,
                "resultName": "Fast plasma",
                "displayName": "0-7 mg/dL",
                "resultValue": "22",
                "unit": "mg/dL",
                "resultStatus": "POSITIVE",
                "isAbnormal": true,
                "labTestResultId": 1,
                "patientLabTestId": 9,
                "labTestId": 2,
                "patientTrackId": 25,
                "patientVisitId": 33,
                "displayOrder": 0,
                "active": true,
                "deleted": false
            }
        ]
    },
    "status": true,
    "entityList": null,
    "responseCode": 200,
    "totalCount": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://spice.docs.medtroniclabs.org/spice-docs/engineering/api-documentation/spice-services/labtest-result-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
